extends ../_docs-template

block vars
  - var title = 'Content Block | Framework7 Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu
  .docs-content
    .motion-docs-page-title
      h1 Block / Content Block
      script(src="/js/motion/block.js")
      f7-motion-block(motion)

    p Content blocks designed (mostly) to add extra formatting and required spacing for text content:
    h2 Block
    p To add content block element just add `<div>` with `block` class:
    :code(lang="html")
          <div class="block">
            <!-- block content -->
          </div>
    p To add extra highlighting to block element we need additional `block-strong` class
    :code(lang="html")
          <div class="block block-strong">
            <!-- block content -->
          </div>
    p To add outline (borders) around the block we need additional `block-outline` class
    :code(lang="html")
          <div class="block block-strong block-outline">
            <!-- block content -->
          </div>
    p To make block inset we need additional `inset` class
    :code(lang="html")
          <div class="block block-strong inset">
            <!-- inset block content -->
          </div>
    p To make block inset only on large screens we need to use `medium-inset` (>= 768px) class instead:
    :code(lang="html")
          <div class="block block-strong medium-inset">
            <!-- inset block content -->
          </div>
    p For full set of such responsive classes check #[a(href="grid.html#column-sizes") Grid docs]. They are `xsmall-inset`, `small-inset`, `medium-inset`, `large-inset`, `xlarge-inset`.
    h2 Block Title
    p To add block title before Block or <a href="list-view.html">List View</a> we need element with `block-title` class:
    :code(lang="html")
          <div class="block-title">Here comes block title</div>
          <div class="block">
            <!-- block content -->
          </div>

          <div class="block-title">Here comes the list</div>
          <div class="list">
            <!-- list content -->
          </div>

          <!-- Medium size Block Title -->
          <div class="block-title block-title-medium">Medium Title</div>
          <div class="block">
            <!-- block content -->
          </div>

          <!-- Large size Block Title -->
          <div class="block-title block-title-large">Large Title</div>
          <div class="block">
            <!-- block content -->
          </div>
    h2 Block Header / Footer
    p If we need and extra heading and footer texts we can use Block Header element. It can be used both inside and outside of block elements (Block, List View)
    :code(lang="html")
          <!-- Inside of block -->
          <div class="block">
            <!-- Block header -->
            <div class="block-header">Block Header</div>
            ...
            <!-- Block footer -->
            <div class="block-footer">Block Footer</div>
          </div>

          <!-- Outside of block -->
          <div class="block-header">Block Header</div>
          <div class="block">
            ...
          </div>
          <div class="block-footer">Block Footer</div>

          <!-- After Block Title -->
          <div class="block-title">Block Title Here</div>
          <div class="block-header">Block Header</div>
          <div class="block">
            ...
          </div>
          <div class="block-footer">Block Footer</div>
    +cssVars('block')

    h2 Examples
    +examplePreview('core', 'content-block.html', 'content-block')
